Bug 14266 - Перенос clamav в branch 4.0
: Перенос clamav в branch 4.0
Status: CLOSED FIXED
: Package transfer
(All bugs in Package transfer/branch/4.0)
: unspecified
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-31 17:14 by
Modified: 2008-03-24 17:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-31 17:14:46
Просьба положить в branch сборку clamav-0.92-alt1.

Кроме того, можно ли каким-то образом установить режим автоматического появления
в бранче новых сборок clamav?
------- Comment #1 From 2008-02-01 08:27:16 -------
Можно сразу заливать в updates, изменив Release пакета чтобы он соответствовал
alt updates/backports policy.
------- Comment #2 From 2008-02-04 19:10:24 -------
(In reply to comment #0)
> Просьба положить в branch сборку clamav-0.92-alt1.

soname change делает автоматическое перекладывание невозможным.

> Кроме того, можно ли каким-то образом установить режим автоматического появления
> в бранче новых сборок clamav?

вместе с автоматической пересборкой всего зависящего софта?
------- Comment #3 From 2008-02-04 20:35:57 -------
(In reply to comment #2)
> (In reply to comment #0)
> > Просьба положить в branch сборку clamav-0.92-alt1.
> 
> soname change делает автоматическое перекладывание невозможным.

Стало быть, требуется пересборка с новым soname.

> > Кроме того, можно ли каким-то образом установить режим автоматического
появления в бранче новых сборок clamav?
> 
> вместе с автоматической пересборкой всего зависящего софта?

Да. Даже если новые версии clamav не несут в себе исправления безопасности,
любые исправления ошибок и добавления новых возможностей в новых версиях
увеличивают процент пойманного malware. Поэтому самый свежий код clamav так же
важен как и наличие свежих баз.

Естественно, зависящий софт при необходимости должен пересобираться. Более того,
 непересобираемость какой-либо из зависящих программ должна повлечь за собой
выбрасывание этой программы, а не торможение обновления clamav.
------- Comment #4 From 2008-03-10 11:40:31 -------
Выкидывание - способ плохой, особенно, если пакет не в contrib, вдруг,
окажется.
Надо добиваться нормальномальной пересборки того, что есть. Но оно в Сизифе-то
собралось, значит шансы неплохие. Да и не так многотам, apt-cache whatdepends
libclamav даёт список:

snort-clamav
snort-clamav+flexresp
dansguardian
apache2-mod_clamav
python-module-pyclamav
klamav
havp
claws-mail-plugin-clamav
c-icap-skf
c-icap

А жить со старым ClamAV тоже не выход. 
------- Comment #5 From 2008-03-10 11:42:29 -------
И, собственно, можно сделать допущение, что эти пакеты нерабочие - толку от них
не много со старым ClamAV.
------- Comment #6 From 2008-03-10 12:47:58 -------
(In reply to comment #4)
> Выкидывание - способ плохой, особенно, если пакет не в contrib, вдруг, 
окажется.
> Надо добиваться нормальной пересборки того, что есть.

Естественно. Выбрасывать - это было не конкретное предложение, а подчеркивание 
важности предоставления пользователям как можно более свежего кода clamav. :)  

ДАЖЕ ценой временного или постоянного заорфанивания слабоподдерживаемых оберток 
или клиентов libclamav. Приоритетность должна быть именно такой.

> Но оно в Сизифе-то собралось, значит шансы неплохие.

Не то что неплохие, и в среде бранча оно должно собраться, стопроцентно.

> Да и не так многотам, apt-cache whatdepends
> libclamav даёт список:

Из этого списка сложности когда-то были только у klamav, использовавшего 
недавно deprecated функцию libclamav. Но и это было быстро запатчено...

> А жить со старым ClamAV тоже не выход. 

Абсолютно. Тем более, что возможна ситуация когда существенно изменится формат 
скачиваемых антивирусных баз и старый clamav просто будет не в состоянии их 
обновлять...
------- Comment #7 From 2008-03-10 18:41:40 -------
Перенос этих пакетов из Сизифа (за редким исключением) невозможен, добро
пожаловать в /incoming/updates/4.0/
------- Comment #8 From 2008-03-10 18:48:53 -------
А, так вопрос в этом ? Это-то понятно, что через updates. Мне показалось, что
вопрос, как с зависимым списком поступать. Вешать на мантейнеров/перезаливать
зависимое самостоятельно после попадания в бранч исходного пакета/может, вдруг,
робот какой...
------- Comment #9 From 2008-03-10 19:09:39 -------
(In reply to comment #8)
> А, так вопрос в этом ? Это-то понятно, что через updates. Мне показалось, что
> вопрос, как с зависимым списком поступать. Вешать на мантейнеров/перезаливать
> зависимое самостоятельно после попадания в бранч исходного пакета/может, вдруг,
> робот какой...

Такого робота нет.  Все пакеты, у которых появятся анметы, будут удалены из
бранча в составе той же транзакции.
------- Comment #10 From 2008-03-10 19:27:49 -------
И, тогда, ещё вопрос остаётся. Бранч, наверное, потерпит, а вот что касается
непосредственно updates. Видимо, надо перекладывать всё вместе из Бранча, как
всё удалённое вернётся. Так ?
------- Comment #11 From 2008-03-21 11:58:57 -------
Вроде бы, я добавил в CC всех, чьи пакеты зависят от libclamav. Если мантейнеры
пакетов не возражают, я приготовлю набор пакетов из Sisyphus для помещения в
updates/4.0.
------- Comment #12 From 2008-03-21 11:59:35 -------
И баг на себя перевешиваю.
------- Comment #13 From 2008-03-21 12:12:44 -------
(In reply to comment #12)
> И баг на себя перевешиваю.

Вчера в /incoming/updates/4.0/ был залит clamav 0.92.1. Никаких писем о его
пересборке я не получал и его еще нет в апдейтах. Как раз самое время заливать
зависимые пакеты.
------- Comment #14 From 2008-03-21 12:43:41 -------
Закрывать баг, наверное, не стоило пока... Предложение моё остаётся в силе, 
если до воскресенья ответов не будет, буду считать, что все согласны, и 
попробую залить пакеты в updates. Кроме ClamAV уже, конечно. Если кто-то 
сделает сам, напишите сюда, пожалуйста.
------- Comment #15 From 2008-03-21 13:03:38 -------
(In reply to comment #14)
> Закрывать баг, наверное, не стоило пока...

Так я его и не закрывал - он не CLOSED, а только FIXED для отражения текущего
состояния: clamav уже пошел в апдейты. Закроем, когда завершиться транзакция с
пересборкой зависимых паектов.

> Предложение моё остаётся в силе, 
> если до воскресенья ответов не будет, буду считать, что все согласны, и 
> попробую залить пакеты в updates. Кроме ClamAV уже, конечно. Если кто-то 
> сделает сам, напишите сюда, пожалуйста.

Может попросим робота? ;)
------- Comment #16 From 2008-03-21 13:24:10 -------
По меньшей мере из-за klamav роботом нельзя. :-(
В Бранче 0.41-alt1.0, а в changelog есть запись:

* Wed Nov 07 2007 Vitaly Lipatov <lav@altlinux.ru> 0.41.1-alt3
- fix build with clamav 0.92
------- Comment #17 From 2008-03-23 16:46:51 -------
Итак.

По поводу apache2-mod_clamav прошу помощи либо мантейнера, либо Михаила
Шигорина, как более близкого к apache.

havp и klamav - пересобранны обновлённые версии из Sisyphus

dansguardian, python-module-pyclamav, snort - просто пересборка того, что лежит
в Branch (в Sisyphus обновлений нет, кроме автоматических)

c-icap, c-icap-skf - пересобраны версии из Sisyphus, но обновлений по версиям
там тоже не было.

claws-mail-plugin-clamav. Вот тут регрессия. claws-mail пересобран тот, что был
в Branch, но без поддержки  ClamAV. Причина - исключение plugin-clamav из
основной ветки в более свежих версиях. claws-mail-plugin-clamav надо из Branch
4.0 исключить, соответственно.
------- Comment #18 From 2008-03-23 16:48:53 -------
(In reply to comment #17)

> dansguardian, 

Вот тут наврал. В Sisyphus версия новее, то та, что в 4.0, некоторе время жила в
Sisyphus с новым ClamAV.

------- Comment #19 From 2008-03-23 16:56:34 -------
таак... А в updates/4.0 уже лежит klamav-0.41.1-alt0.M40.4.src.rpm. И я залил
klamav-0.42-alt0.M40.1.src.rpm. Что оставляем ?

Ещё момент по snort: #15038
------- Comment #20 From 2008-03-23 17:47:08 -------
(In reply to comment #17)
> По поводу apache2-mod_clamav прошу помощи либо мантейнера, либо Михаила
> Шигорина, как более близкого к apache.
Я далёк от apache2 примерно настолько же, насколько он далёк от 1.3. :)
------- Comment #21 From 2008-03-23 18:20:55 -------
С apache2-mod_clamav понял, что было. 

Залил на пересборку из Sisyphus - там отличие только в spec от того, что было в
Branch.

Осталось решить, какой klamav использовать. Это вопрос к Виталию, видимо.
------- Comment #22 From 2008-03-23 18:45:26 -------
Хм. не прошла пересбока для python-module-pyclamav и  claws-mail с одной и той
же ошибкой:

Building Dependency Tree...
E: Version ='2.5' for 'python-devel' was not found
hsh-install: failed to calculate package file list.
hsh-install: Failed to generate package file list.

В обоих спеках про версию ничего не написано. Это с чего 2.5 потребовался ?

Так же не прошла пересборка snort для x86_64. Но, как я погляжу, его и нет в
Branch для этой архитектуры.
------- Comment #23 From 2008-03-24 00:50:39 -------
at@ причину объяснил, python-module-pyclamav и claws-mail я перезалил. Надеюсь,
пересоберутся.
------- Comment #24 From 2008-03-24 17:34:26 -------
обновилось.